/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of SSDT9, Fri Dec 26 01:30:07 2014
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000000D0 (208)
 *     Revision         0x01
 *     Checksum         0x9D
 *     OEM ID           "LENOVO"
 *     OEM Table ID     "IffsAsl"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20120711 (538052369)
 */
DefinitionBlock ("SSDT9.aml", "SSDT", 1, "LENOVO", "IffsAsl", 0x00003000)
{
    Scope (\_SB)
    {
        Device (IFFS)
        {
            OperationRegion (FFSN, SystemMemory, 0x7CE41F18, 0x0009)
            Field (FFSN, AnyAcc, Lock, Preserve)
            {
                FFSA,   8, 
                FFSS,   8, 
                FFST,   16, 
                FFSP,   32
            }

            Name (_HID, EisaId ("INT3392"))  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0C02"))  // _CID: Compatible ID
            Method (GFFS, 0, Serialized)
            {
                Return (FFSS)
            }

            Method (SFFS, 1, Serialized)
            {
                And (Arg0, FFSA, FFSS)
                Return (FFSS)
            }

            Method (GFTV, 0, Serialized)
            {
                Return (FFST)
            }

            Method (SFTV, 1, Serialized)
            {
                If (LLessEqual (Arg0, 0x05A0))
                {
                    Store (Arg0, FFST)
                }
                Else
                {
                    And (FFSS, 0xFFFE, FFSS)
                    Store (0x0A, FFST)
                }

                Return (FFST)
            }
        }
    }
}

